Subject: Re: bug#193: Fix for bug#193.

From: Christoph <[email-masked]>
Date: Fri, 09 Jul 2010 19:41:12 -0600

Hi Alan,

On 7/9/2010 12:51 PM, Alan Mackenzie wrote:
> Hi, Deniz,
>
> On Sun, Jun 27, 2010 at 02:47:52PM +0200, Deniz Dogan wrote:
>> Did anyone ever agree on what needs to be done to fix the problem?
>
> Would you try this patch, please, and then tell me whether or not it
> works fully.  Thanks!

M-q works fine for me with C as well as C++ style comments, both ways, 
i.e. shorting long comments and extending short comments to fill the line.

The only "quirk" I found:

Using C-style comments, if the original comment looks like this:

/* This is a short comment
    which is extended                      */

the resulting comment is:

/* This is a short comment which is extended  */

Notice the two spaces after the last word 'extended', before the close 
comment marker.

I would have expected either:

/* This is a short comment which is extended                      */

i.e. the whitespace of the original comment is preserved, or

/* This is a short comment which is extended */

i.e. the whitespace is zapped except one space before the close comment 
marker.

This might be nitpicking but I thought I bring it up.

Christoph